SliceByNamesReadCommand (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.db
Class SliceByNamesReadCommand

    java.lang.Object
      org.apache.cassandra.db.ReadCommand
          org.apache.cassandra.db.SliceByNamesReadCommand

All Implemented Interfaces:
  MessageProducer, IReadCommand

    public class SliceByNamesReadCommand

extends ReadCommand

Field Summary
`java.util.SortedSet<java.nio.ByteBuffer>` | `columnNames`

Fields inherited from class org.apache.cassandra.db.ReadCommand
`CMD_TYPE_GET_SLICE, CMD_TYPE_GET_SLICE_BY_NAMES, commandType, key, queryPath, table`

Constructor Summary
`SliceByNamesReadCommand(java.lang.String table, java.nio.ByteBuffer key, ColumnParent column_parent, java.util.Collection<java.nio.ByteBuffer> columnNames)`
`SliceByNamesReadCommand(java.lang.String table, java.nio.ByteBuffer key, QueryPath path, java.util.Collection<java.nio.ByteBuffer> columnNames)`

Method Summary
`ReadCommand` | `copy()`
`Row` | `getRow(Table table)`
`java.lang.String` | `toString()`

Methods inherited from class org.apache.cassandra.db.ReadCommand
`getColumnFamilyName, getComparator, getKeyspace, getMessage, isDigestQuery, maybeGenerateRetryCommand, maybeTrim, serializer, setDigestQuery`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### columnNames

    public final java.util.SortedSet<java.nio.ByteBuffer> columnNames

Constructor Detail

### SliceByNamesReadCommand

    public SliceByNamesReadCommand(java.lang.String table,
                                   java.nio.ByteBuffer key,
                                   ColumnParent column_parent,
                                   java.util.Collection<java.nio.ByteBuffer> columnNames)

### SliceByNamesReadCommand

    public SliceByNamesReadCommand(java.lang.String table,
                                   java.nio.ByteBuffer key,
                                   QueryPath path,
                                   java.util.Collection<java.nio.ByteBuffer> columnNames)

Method Detail

### copy

    public ReadCommand copy()

  Specified by:
    `copy` in class `ReadCommand`

### getRow

    public Row getRow(Table table)
               throws java.io.IOException

  Specified by:
    `getRow` in class `ReadCommand`
  Throws:
    `java.io.IOException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation